Change a context password
POST/nevisidm/api/core/v1/:clientExtId/users/:userExtId/context-passwords/:extId/change
Since: 2.73.0
Required permission(s): AccessControl.CredentialModify or SelfAdmin Role
Changes the context password with the given external ID to the given new password, belonging to the specified user and client.
The oldPassword parameter in the request body is mandatory when a self-admin user changes their own password. When the caller changes the password of another user, the oldPassword parameter should be omitted and will be ignored.
This operation is not available when the password policy has resetCodeEnabled set to true.
Supports self-admin mode with JWT token validation.
Request
Responses
- 204
- 403
- 404
- 422
Context password changed successfully
Operation restricted
Referenced resource not found
Invalid request parameters